package com.dartmaker.uponevent;

import java.util.HashMap;
import java.util.Map;

public class PostModel {
    private String text, image, userId, eventId;
    private long timestamp;
    private Map<String, Object> userLikes = new HashMap<>();
    public PostModel(){

    }

    public PostModel(String text, String image, String userId, String eventId, long timestamp, Map<String, Object> userLikes){
        this.text = text;
        this.image = image;
        this.userId = userId;
        this.timestamp = timestamp;
        this.eventId = eventId;
        this.userLikes = userLikes;
    }

    public String getText() {
        return text;
    }

    public String getImage() {
        return image;
    }

    public String getUserId() {
        return userId;
    }

    public String getEventId() {
        return eventId;
    }

    public long getTimestamp() {
        return timestamp;
    }

    public Map<String, Object> getUserLikes() {
        return userLikes;
    }

    public void setText(String text) {
        this.text = text;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public void setTimestamp(long timestamp) {
        this.timestamp = timestamp;
    }

    public void setEventId(String eventId) {
        this.eventId = eventId;
    }

    public void setUserLikes(Map<String, Object> userLikes) {
        this.userLikes = userLikes;
    }
}
