package com.dartmaker.uponevent;

import java.util.HashMap;
import java.util.Map;

public class EventModel {
    private String title, desc, image, userId, locationName;
    private long timestamp, eventTimestamp;
    private double latitude, longitude;
    private Map<String, Object> posts = new HashMap<>();
    private Map<String, Object> userLikes = new HashMap<>();

    public EventModel() {

    }

    public EventModel(String title, String desc, String image, String userId, String locationName, long timestamp, long eventTimestamp, double latitude, double longitude, Map<String, Object> posts, Map<String, Object> userLikes) {
        this.title = title;
        this.desc = desc;
        this.image = image;
        this.userId = userId;
        this.locationName = locationName;
        this.timestamp = timestamp;
        this.posts = posts;
        this.userLikes = userLikes;
        this.latitude = latitude;
        this.longitude = longitude;
        this.eventTimestamp = eventTimestamp;
    }

    public String getTitle() {
        return title;
    }

    public String getDesc() {
        return desc;
    }

    public String getImage() {
        return image;
    }

    public String getUserId() {
        return userId;
    }

    public String getLocationName() {
        return locationName;
    }

    public long getTimestamp() {
        return timestamp;
    }

    public long getEventTimestamp() {
        return eventTimestamp;
    }

    public double getLatitude() {
        return latitude;
    }

    public double getLongitude() {
        return longitude;
    }

    public Map<String, Object> getPosts() {
        return posts;
    }

    public Map<String, Object> getUserLikes() {
        return userLikes;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public void setLocationName(String locationName) {
        this.locationName = locationName;
    }

    public void setTimestamp(long timestamp) {
        this.timestamp = timestamp;
    }

    public void setEventTimestamp(long eventTimestamp) {
        this.eventTimestamp = eventTimestamp;
    }

    public void setLatitude(double latitude) {
        this.latitude = latitude;
    }

    public void setLongitude(double longitude) {
        this.longitude = longitude;
    }

    public void setPosts(Map<String, Object> posts) {
        this.posts = posts;
    }

    public void setUserLikes(Map<String, Object> userLikes) {
        this.userLikes = userLikes;
    }
}